[unstable]
codegen-backend = true

[profile.dev]
codegen-backend = "cranelift"
opt-level = 1

[profile.dev.package."*"]
codegen-backend = "llvm"
opt-level = 3

[profile.release]
codegen-units = 1
opt-level = "z"
lto = "thin"

[profile.wasm-dev]
inherits = "dev"
codegen-backend = "llvm"

[profile.wasm-release]
inherits = "release"
opt-level = "s"
strip = "debuginfo"

# for Linux
[target.x86_64-unknown-linux-gnu]
linker = "clang"
rustflags = [
  # (Nightly) Make the current crate share its generic instantiations
  "-Zshare-generics=y",
  # Link with Mold
  "-C",
  "link-arg=-fuse-ld=mold"
]

# for Windows
[target.x86_64-pc-windows-msvc]
linker = "rust-lld.exe"
